UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.sdm.LBMSDMFieldIterator Class Reference
Inheritance diagram for com.latencybusters.lbm.sdm.LBMSDMFieldIterator:

## Public Member Functions
| LBMSDMFieldIterator (LBMSDMFields f)
LBMSDMField | get ()
void | add_element (LBMSDMField newfield) throws LBMSDMException
void | set (LBMSDMField newfield) throws LBMSDMException
void | set (LBMSDMField newfield, int element) throws LBMSDMException
LBMSDMField | next ()
boolean | hasNext ()
void | remove ()
void | reset ()
void | Reset ()

## Detailed Description

An iterator for field sets. This allows applications to iterate over every field in an SDM message/field set

## Constructor & Destructor Documentation

com.latencybusters.lbm.sdm.LBMSDMFieldIterator.LBMSDMFieldIterator | ( | LBMSDMFields | f | ) |

Create an iterator for a set of SDM fields.

Parameters

  f | The field set to be iterated over

## Member Function Documentation

void com.latencybusters.lbm.sdm.LBMSDMFieldIterator.add_element | ( | LBMSDMField | newfield | ) | throws LBMSDMException

Add the SDM array element

Parameters

  newfield | The new field to be set

References com.latencybusters.lbm.sdm.LBMSDMField.add_element().

LBMSDMField com.latencybusters.lbm.sdm.LBMSDMFieldIterator.get | ( |  | ) |

Get the SDM field at the current position

Returns
  The current LBMSDMField object

References com.latencybusters.lbm.sdm.LBMSDMFields.get().

boolean com.latencybusters.lbm.sdm.LBMSDMFieldIterator.hasNext | ( |  | ) |

Check to see if there is another item in the collection

Returns
  true if another item exists (false if not)

References com.latencybusters.lbm.sdm.LBMSDMFields.length().

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data(), and com.latencybusters.lbm.sdm.LBMSDMFields.locate().

LBMSDMField com.latencybusters.lbm.sdm.LBMSDMFieldIterator.next | ( |  | ) |

Move to the next field in the collection

Returns
  The current LBMSDMField object before moving to the next

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data(), and com.latencybusters.lbm.sdm.LBMSDMFields.locate().

void com.latencybusters.lbm.sdm.LBMSDMFieldIterator.remove | ( |  | ) |

Remove the current item from the collection

References com.latencybusters.lbm.sdm.LBMSDMFields.remove().

void com.latencybusters.lbm.sdm.LBMSDMFieldIterator.reset | ( |  | ) |

Reset the iterator back to the beginning

void com.latencybusters.lbm.sdm.LBMSDMFieldIterator.Reset | ( |  | ) |

Reset the iterator back to the beginning

void com.latencybusters.lbm.sdm.LBMSDMFieldIterator.set | ( | LBMSDMField | newfield | ) | throws LBMSDMException

Set the SDM array element

Parameters

  newfield | The new field to be set

References com.latencybusters.lbm.sdm.LBMSDMFields.set().

void com.latencybusters.lbm.sdm.LBMSDMFieldIterator.set | ( | LBMSDMField | newfield,
|  | int | element
| ) |  | throws LBMSDMException

Set the SDM array element

Parameters

  newfield | The new field to be set
  element | the array index to set

References com.latencybusters.lbm.sdm.LBMSDMFields.set().

The documentation for this class was generated from the following file:

- LBMSDMFieldIterator.java